#include <bits/stdc++.h>
using namespace std;
string slova,ispis;
int a,b;
int main(){
cin >> slova >> a >> b;
if(a>b+1)cout<<"nemoguce" << endl;
else if(b>a+1)cout <<"nemoguce" << endl;
else{
    if(a>b){
    cout << slova[0];
    for(int i=0; i<(a+b)/2; i++){
        ispis+=slova[1];
        ispis+=slova[0];
    }
    cout << ispis;
    }
    else if(b>a){
    cout << slova[1];
    for(int i=0; i<(a+b)/2; i++){
        ispis+=slova[0];
        ispis+=slova[1];
    }
    cout << ispis;
    }
    else{
        for(int i=0; i<(a+b)/2; i++){
        ispis+=slova[0];
        ispis+=slova[1];
        }
        cout << ispis;
    }
}
return 0;
}